Subject: pkg_install BIG problem
To: None <>
From: John Klos <>
List: tech-pkg
Date: 12/08/2004 12:55:13

I don't want to sound harsh or anything, but I am rather bothered to find 
that nobody has fixed the pkg_install problem. This is a BIG problem, and 
should have been fixed right after the problem was created. I'd have fixed 
it, but I figured I'd leave it to the people who decided to make the 
changed in the first place.

pkg_install can't be updated. Period. Once you do an install of 
pkg_install, it's registered as a package, and cannot be deleted:

===> real-su-install [pkg_install-20041110] ===> pkg_install-20041110 is already installed - perhaps an older version?
*** If so, you may use either of:
***  - "pkg_delete pkg_install-20041110" and "/usr/bin/make reinstall" to upgrade properly
***  - "/usr/bin/make update" to rebuild the package and all of its dependencies
***  - "/usr/bin/make replace" to replace only the package without re-linking
***    dependencies, risking various problems.
*** Error code 1

You can't do "pkg_delete pkg_install-20041110":

shiva: {24} pkg_delete pkg_install-20041110
Package `pkg_install-20041110' is marked as not for deletion

"make update" doesn't work, nor does "make replace".

Now, are we really going to document in the pkgsrc documentation that the 
way to update pkg_install is to manually "rm -Rf 

John Klos